#!/bin/env perl -w
###################################################################
###                                                             ###
###      File: Makefile.PL                                      ###
###   Version:                                                  ###
###    Author: Stefan Evert                                     ###
###   Purpose: Perl Makefile for module.                        ###
###   Created: Fri Dec 11 17:18:31 1998                         ###
###  Modified: Wed Jan  2 15:53:25 2002 (evert)                 ###
###                                                             ###
###################################################################
#
# History:
#

use ExtUtils::MakeMaker;

# If this configuration script cannot guess the location of your
# corpus library installation (libcl.a and cwb/cl.h) from the paths
# defined in CWB.pm, you must uncomment the lines below and insert
# the correct include and library directories:

# $include_dir = "/projekte/CWB/include";
# $library_dir = "/projekte/CWB/lib";


#
#  do not edit anything below this point
#

# if include and/or library directory haven't been set above
# try to guess them from $CWB::BinDir 
if (not defined $include_dir) {
  print "Guessing include directory ...\n";
  if (not eval "use CWB; \$include_dir = \$CWB::BinDir;") {
    die "ERROR: You must install CWB.pm first!\n";
  }
  $include_dir =~ s/bin$/include/;
  $cl_h = "$include_dir/cwb/cl.h";
  if (not (-f $cl_h and -s $cl_h > 0)) {
    die "ERROR: Can't find file $cl_h\n"
      . "       Please set \$include_dir and \$library_dir in Makefile.PL to\n" 
	. "       the correct include and library directories.\n";
  }
}
$iflags = "-I$include_dir";
print "Adding include directory: $iflags\n";

if (not defined $library_dir) {
  print "Guessing library directory ...\n";
  if (not eval "use CWB; \$library_dir = \$CWB::BinDir;") {
    die "ERROR: You must install CWB.pm first!\n";
  }
  $library_dir =~ s/bin$/lib/;
  $libcl_a = "$library_dir/libcl.a";
  if (not (-f $libcl_a and -s $libcl_a > 0)) {
    die "ERROR: Can't find file $libcl_a\n"
      . "       Please set \$include_dir and \$library_dir in Makefile.PL to\n" 
	. "       the correct include and library directories.\n";
  }
}
$lflags = "-L$library_dir";
print "Adding library directory: $lflags\n";

WriteMakefile(
	      'NAME'	=> 'CL',
	      'VERSION_FROM' => 'CL.pm',
	      'LIBS'	=> ["$lflags -lcl -lm"],
	      'DEFINE'	=> '',
	      'INC'	=> "$iflags",
	     );
