#!/usr/local/bin/perl -w
###################################################################
###                                                             ###
###    Author: Stefan Evert                                     ###
###   Purpose: Test WebCqp::Persistent module (persistent queries) 
###   Created: Mon Apr 21 11:25:43 2003                         ###
###  Modified: Mon Apr 21 12:43:40 2003 (evert)                 ###
###                                                             ###
###################################################################
$| = 1;

use CWB;
use CQP;
use WebCqp::Persistent;

die "Usage:  test.pl [asc|desc|rev|drev] <query>\n"
  unless @ARGV >= 1;

%sort_opts = (
	      "asc" => 'by word %cd',
	      "desc" => 'by word %cd descending',
	      "rev" => 'by word %cd reverse',
	      "drev" => 'by word %cd descending reverse',
	     );
$sort = $sort_opts{$ARGV[0]};
shift @ARGV
  if defined $sort;

$query = "@ARGV";

$cqp = new CQP;
$cache = new WebCqp::Persistent $cqp, "/tmp/persistent", 1, 1/60;

$cqp->set_error_handler(sub { map {print STDERR "MY HANDLER: $_\n"} @_; exit 1; });


print "Contents of cache index directory:\n";
system "ls -l /tmp/persistent/index";

print "Running query ... ";
$id = $cache->query("DICKENS", $query, $sort);
print "$id\n";

($size) = $cqp->exec("size $id");
print "$size matches:\n";
map { print "$_\n" } $cqp->exec("cat $id 0 4");

print "Contents of cache index directory:\n";
system "ls -l /tmp/persistent/index";
print "Contents of cache data directory:\n";
system "ls -l /tmp/persistent/data";

